function [] = plotObstacle(obstacle)
% This function plot the obstacle, the obstacles are in cells and given as
% arrays with the form (Number of Vertices, Dimension). The Dimension is
% constrained to 2D

cellSize = max(size(obstacle));

for i = 1:1:cellSize
    arraySize = length(obstacle{i}(:,1));
    arrayDimension = length(obstacle{i}(1,:));
    % Control for correct input
    if arraySize < 3
        error('Array Size too small!')
    end
    if arrayDimension ~= 2
        error('Array Dimension not 2!')
    end
    % plot lines
    ObsHold = [obstacle{i}; obstacle{i}(1,:)];
    for j = 1:1:arraySize
        line([ObsHold(j,1) ObsHold(j+1,1)], ...
                    [ObsHold(j,2) ObsHold(j+1,2)], ...
                                'Color','black','LineWidth',1);
        hold on
    end
end

